package com.fuyuanshen.app.model;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class AppSmsLoginBody {
    /**
     * 手机号
     */
    @NotBlank(message = "{user.phonenumber.not.blank}")
    private String phonenumber;

    /**
     * 短信code
     */
    @NotBlank(message = "{sms.code.not.blank}")
    private String smsCode;

    /**
     * 租户ID
     */
    @NotBlank(message = "租户ID不能为空")
    private String tenantId;
}
